SUSE-SA:2005:010: kernel

Medium Nessus Plugin ID 17237


The remote host is missing a vendor-supplied security patch


The remote host is missing the patch for the advisory SUSE-SA:2005:010 (kernel).

The previous kernel security update for the SUSE Linux 9.1 and the SUSE Linux Enterprise Server 9 based products caused problems with the NVidia driver for users with NVidia graphics cards.

Stricter checking in the memory management functions in the kernel caused the kernel to hang as soon as the X Window System was started.
This bug happens to all users who installed the NVidia driver via YOU and therefore still used the 1.0-5336 version of the NVidia driver.

This updates fixes this problem,

Users who don't use the NVidia driver or use a later version of the driver are not affected and do not need to update.

To install the update on an affected/broken system, boot the SUSE Linux 9.1 system into run level 3 (by supplying '3' as command line argument on the boot prompt), then log in as root and run the text mode version of the YaST Online Update.

('yast online_update')

Follow the instructions in the curses interface and install this kernel update.

No other fixes are included in this update.


Plugin Details

Severity: Medium

ID: 17237

File Name: suse_SA_2005_010.nasl

Version: $Revision: 1.4 $

Agent: unix

Published: 2005/03/01

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

Required KB Items: Host/SuSE/rpm-list